Subject: [PATCH v5 7/8] pwm: pwm-omap-dmtimer: Adapt driver to utilize dmtimer pdata ops

From: [email-masked] (Ladislav Michl)
Date: Mon, 18 Dec 2017 10:31:53 +0100

Keerthy,

On Tue, Dec 12, 2017 at 11:42:16AM +0530, Keerthy wrote:
> Adapt driver to utilize dmtimer pdata ops instead of pdata-quirks.
> 
> Signed-off-by: Keerthy <[email-masked]>
> ---
> 
> Changes in v4:
> 
>   * Switched to dev_get_platdata.

Where do you expect dev.platform_data to be set? PWM driver is failing
with:
omap-dmtimer-pwm dmtimer-pwm: dmtimer pdata structure NULL
omap-dmtimer-pwm: probe of dmtimer-pwm failed with error -22

Which I fixed with patch bellow, to be able to test your patchset.

Also I'm running a bit out of time, so I'll send few clean up
patches and event capture code to get some feedback early.

Regards,
	ladis

diff --git a/drivers/clocksource/timer-dm.c b/drivers/clocksource/timer-dm.c
index 39be39e6a8dd..d3d8a49cae0d 100644
--- a/drivers/clocksource/timer-dm.c
+++ b/drivers/clocksource/timer-dm.c
@@ -773,6 +773,7 @@ static int omap_dm_timer_probe(struct platform_device *pdev)
 		dev_err(dev, "%s: no platform data.\n", __func__);
 		return -ENODEV;
 	}
+	dev->platform_data = pdata;
 
 	irq = platform_get_resource(pdev, IORESOURCE_IRQ, 0);
 	if (unlikely(!irq)) {

> 
> Changes in v3:
> 
>   * Used of_find_platdata_by_node function to fetch platform
>     data for timer node.
> 
>  drivers/pwm/pwm-omap-dmtimer.c | 39 ++++++++++++++++++++++-----------------
>  1 file changed, 22 insertions(+), 17 deletions(-)